| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.DialogFormDemoControl Class Reference
Inheritance diagram for IG.Forms.DialogFormDemoControl:
[legend]
Collaboration diagram for IG.Forms.DialogFormDemoControl:
[legend]

## Public Member Functions
| DialogFormDemoControl ()
void | CreateNewDialogWindow ()
| Creates a new testing dialog window. More...
void | CopyDataToDialogs ()
| Applies all data and settings forom the current control to the embedded and window test dialogs. More...
void | CopyButtonDataToDialogs ()
| Applies all data and settings forom the current control to the embedded and window test dialogs. More...

## Protected Member Functions
void | UpdateResults ()
| Updates controls that stow dialog's results. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
bool | IsDialogFormActive`[get]`
| Returns true if the dialog form is active, i. e. if it is located, visible, and not yet disposed. More...

## Private Member Functions
void | txtTitle_TextChanged (object sender, EventArgs e)
void | txtTitle_Validated (object sender, EventArgs e)
void | txtMessage_TextChanged (object sender, EventArgs e)
void | txtMessage_Validated (object sender, EventArgs e)
void | txtText_TextChanged (object sender, EventArgs e)
void | txtText_Validated (object sender, EventArgs e)
void | textBotxtButtons_TextChanged (object sender, EventArgs e)
void | textBotxtButtons_Validated (object sender, EventArgs e)
void | chkImmediateText_CheckedChanged (object sender, EventArgs e)
void | btnLaunchDialog_Click (object sender, EventArgs e)
void | btnRefreshDialog_Click (object sender, EventArgs e)
void | btnRefreshText_Click (object sender, EventArgs e)
void | chkTextVisible_CheckedChanged (object sender, EventArgs e)
void | chkTextCausesVisible_CheckedChanged (object sender, EventArgs e)
void | chkTextEditable_CheckedChanged (object sender, EventArgs e)
void | chkTextSettable_CheckedChanged (object sender, EventArgs e)
void | chkTextSetExceptions_CheckedChanged (object sender, EventArgs e)
void | chkTextMultiLine_CheckedChanged (object sender, EventArgs e)
void | chkTextImmediate_CheckedChanged (object sender, EventArgs e)
void | chkTextPassword_CheckedChanged (object sender, EventArgs e)
void | numTextBoxWidth_Validated (object sender, EventArgs e)
void | numTextBoxHeight_Validated (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
DialogControl | dialogControl1
DialogForm | dialogForm1
System.Windows.Forms.Label | lblMainTitle
System.Windows.Forms.Label | lblTitle
System.Windows.Forms.TextBox | txtTitle
System.Windows.Forms.TextBox | txtMessage
System.Windows.Forms.Label | lblMessage
System.Windows.Forms.Label | lblText
System.Windows.Forms.TextBox | txtText
System.Windows.Forms.Label | lblButtons
System.Windows.Forms.TextBox | textBotxtButtons
System.Windows.Forms.GroupBox | grpResults
System.Windows.Forms.Label | lblResultText
System.Windows.Forms.Label | lblResultButton
System.Windows.Forms.Label | lblResultTitleText
System.Windows.Forms.Label | lblResultTitleButton
System.Windows.Forms.GroupBox | grpDialogControl
System.Windows.Forms.FlowLayoutPanel | flowDialogControlAndResults
System.Windows.Forms.Button | btnLaunchDialog
System.Windows.Forms.Button | btnRefreshDialog
System.Windows.Forms.GroupBox | grpSettings
System.Windows.Forms.CheckBox | chkTextEditable
System.Windows.Forms.CheckBox | chkTextMultiLine
System.Windows.Forms.CheckBox | chkTextSettable
System.Windows.Forms.CheckBox | chkImmediateText
System.Windows.Forms.NumericUpDown | numTextBoxHeight
System.Windows.Forms.NumericUpDown | numTextBoxWidth
System.Windows.Forms.Label | lblTextBoxWidth
System.Windows.Forms.GroupBox | grpEvents
System.Windows.Forms.Label | lblTextBoxHeight
IndicatorLight | indicatorButtonResultChanged
IndicatorLight | indicatorTextChanged
IndicatorLight | indicatorButtonPressed
System.Windows.Forms.Button | btnRefreshText
System.Windows.Forms.CheckBox | chkTextSetExceptions
IndicatorLight | indicatorSettingsApplied
System.Windows.Forms.CheckBox | chkTextVisible
System.Windows.Forms.CheckBox | chkTextImmediate
System.Windows.Forms.GroupBox | grpActions
System.Windows.Forms.CheckBox | chkTextCausesVisible
System.Windows.Forms.CheckBox | chkTextPassword

## Constructor & Destructor Documentation

IG.Forms.DialogFormDemoControl.DialogFormDemoControl | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.DialogFormDemoControl.CreateNewDialogWindow | ( |  | ) |
| inline

Creates a new testing dialog window.

void IG.Forms.DialogFormDemoControl.UpdateResults | ( |  | ) |
| inline protected

Updates controls that stow dialog's results.

void IG.Forms.DialogFormDemoControl.CopyDataToDialogs | ( |  | ) |
| inline

Applies all data and settings forom the current control to the embedded and window test dialogs.

This does not copy the buttons data, which is performed specially by the CopyButtonDataToDialogs function.

void IG.Forms.DialogFormDemoControl.CopyButtonDataToDialogs | ( |  | ) |
| inline

Applies all data and settings forom the current control to the embedded and window test dialogs.

This does not copy the buttons data, which is performed specially by the CopyButtonDataToDialogs function.

void IG.Forms.DialogFormDemoControl.txtTitle_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.txtTitle_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.txtMessage_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.txtMessage_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.txtText_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.txtText_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.textBotxtButtons_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.textBotxtButtons_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkImmediateText_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.btnLaunchDialog_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.btnRefreshDialog_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.btnRefreshText_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkTextVisible_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkTextCausesVisible_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkTextEditable_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkTextSettable_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkTextSetExceptions_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkTextMultiLine_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkTextImmediate_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.chkTextPassword_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.numTextBoxWidth_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.DialogFormDemoControl.numTextBoxHeight_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.DialogFormDemoControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.DialogFormDemoControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.DialogFormDemoControl.components = null
| private

Required designer variable.

DialogControl IG.Forms.DialogFormDemoControl.dialogControl1
| private

DialogForm IG.Forms.DialogFormDemoControl.dialogForm1
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblMainTitle
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblTitle
| private

System.Windows.Forms.TextBox IG.Forms.DialogFormDemoControl.txtTitle
| private

System.Windows.Forms.TextBox IG.Forms.DialogFormDemoControl.txtMessage
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblMessage
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblText
| private

System.Windows.Forms.TextBox IG.Forms.DialogFormDemoControl.txtText
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblButtons
| private

System.Windows.Forms.TextBox IG.Forms.DialogFormDemoControl.textBotxtButtons
| private

System.Windows.Forms.GroupBox IG.Forms.DialogFormDemoControl.grpResults
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblResultText
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblResultButton
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblResultTitleText
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblResultTitleButton
| private

System.Windows.Forms.GroupBox IG.Forms.DialogFormDemoControl.grpDialogControl
| private

System.Windows.Forms.FlowLayoutPanel IG.Forms.DialogFormDemoControl.flowDialogControlAndResults
| private

System.Windows.Forms.Button IG.Forms.DialogFormDemoControl.btnLaunchDialog
| private

System.Windows.Forms.Button IG.Forms.DialogFormDemoControl.btnRefreshDialog
| private

System.Windows.Forms.GroupBox IG.Forms.DialogFormDemoControl.grpSettings
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkTextEditable
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkTextMultiLine
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkTextSettable
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkImmediateText
| private

System.Windows.Forms.NumericUpDown IG.Forms.DialogFormDemoControl.numTextBoxHeight
| private

System.Windows.Forms.NumericUpDown IG.Forms.DialogFormDemoControl.numTextBoxWidth
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblTextBoxWidth
| private

System.Windows.Forms.GroupBox IG.Forms.DialogFormDemoControl.grpEvents
| private

System.Windows.Forms.Label IG.Forms.DialogFormDemoControl.lblTextBoxHeight
| private

IndicatorLight IG.Forms.DialogFormDemoControl.indicatorButtonResultChanged
| private

IndicatorLight IG.Forms.DialogFormDemoControl.indicatorTextChanged
| private

IndicatorLight IG.Forms.DialogFormDemoControl.indicatorButtonPressed
| private

System.Windows.Forms.Button IG.Forms.DialogFormDemoControl.btnRefreshText
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkTextSetExceptions
| private

IndicatorLight IG.Forms.DialogFormDemoControl.indicatorSettingsApplied
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkTextVisible
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkTextImmediate
| private

System.Windows.Forms.GroupBox IG.Forms.DialogFormDemoControl.grpActions
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkTextCausesVisible
| private

System.Windows.Forms.CheckBox IG.Forms.DialogFormDemoControl.chkTextPassword
| private

## Property Documentation

bool IG.Forms.DialogFormDemoControl.IsDialogFormActive
| get

Returns true if the dialog form is active, i. e. if it is located, visible, and not yet disposed.

This is used e.g. in cases where functions of the dialog form can be taken over by the embedded dialog control when the former is not active (such as events, for example).

The documentation for this class was generated from the following files:

- igforms/Utilities/BasicControls/DialogFormDemoControl.cs
- igforms/Utilities/BasicControls/DialogFormDemoControl.Designer.cs